Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.pp.stmtformatter.type
Class AbstractStmtFormatter<E extends TCustomSqlStatement>

    java.lang.Object
      gudusoft.gsqlparser.pp.stmtformatter.type.AbstractStmtFormatter<E>

Direct Known Subclasses:
  AlterTableStmtFormatter, CompactModeStmtFormatter, CreateFunctionStmtFormatter, CreateTableStmtFormatter, CreateViewStmtFormatter, DeclareStmtFormatter, DeleteStmtFormatter, ExecuteStmtFormatter, GoStmtFormatter, IfStmtFormatter, InsertStmtFormatter, ReturnStmtFormatter, SelectStmtFormatter, SetStmtFormatter, UpdateStmtFormatter

    public class AbstractStmtFormatter<E extends TCustomSqlStatement>

extends java.lang.Object

the base class for all statment formatters

Author:
  zhoujun

Constructor Summary
`AbstractStmtFormatter()`

Method Summary
`void` | `addExpressionProcessor(AbstractProcessor p)`
`void` | `addSpecialProcessor(AbstractProcessor p)` add some special processors
`void` | `format(E stmt)` format statement
`java.util.List<AbstractProcessor>` | `getExpressionProcessors()`
`GFmtOpt` | `getOption()`
`java.lang.String` | `getSessionId()`
`java.util.List<AbstractProcessor>` | `getSpecialProcessors()` get the special processors
`void` | `setSessionId(java.lang.String sessionId)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractStmtFormatter

    public AbstractStmtFormatter()

Method Detail

### getOption

    public GFmtOpt getOption()

### format

    public void format(E stmt)

  format statement

  Parameters:
    `stmt` -

### addExpressionProcessor

    public void addExpressionProcessor(AbstractProcessor p)

### getExpressionProcessors

    public java.util.List<AbstractProcessor> getExpressionProcessors()

### addSpecialProcessor

    public void addSpecialProcessor(AbstractProcessor p)

  add some special processors

  Parameters:
    `p` -

### getSpecialProcessors

    public java.util.List<AbstractProcessor> getSpecialProcessors()

  get the special processors

  Returns:

### getSessionId

    public java.lang.String getSessionId()

### setSessionId

    public void setSessionId(java.lang.String sessionId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD